Bug 1409893 - lensfun-tools package should depend on python3-lensfun
Summary: lensfun-tools package should depend on python3-lensfun
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lensfun
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 18:50 UTC by Allan Day
Modified: 2017-01-09 01:21 UTC (History)
3 users (show)

Fixed In Version: lensfun-0.3.2-7.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-05 20:22:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Allan Day 2017-01-03 18:50:53 UTC
lensfun-tools includes the lensfun-update-data command. This uses the lensfun python module, which is provided by the python3-lensfun package.

python3-lensfun currently isn't required by lensfun-tools, so if you install lensfun-tools and run lensfun-update-data, it fails.

Adding a lensfun-tools dependency on python3-lensfun would fix this issue.

Comment 1 Rex Dieter 2017-01-03 19:18:14 UTC
Confirmed, thanks.  Fix on the way...

http://pkgs.fedoraproject.org/cgit/rpms/lensfun.git/commit/?id=bd7af31fadc3852cba2324e0297b7450ab1c3322

Comment 2 Fedora Update System 2017-01-03 21:17:12 UTC
lensfun-0.3.2-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a3018ee07a

Comment 3 Fedora Update System 2017-01-03 21:17:51 UTC
lensfun-0.3.2-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff76e0527d

Comment 4 Fedora Update System 2017-01-04 22:21:52 UTC
lensfun-0.3.2-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff76e0527d

Comment 5 Fedora Update System 2017-01-04 23:28:52 UTC
lensfun-0.3.2-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a3018ee07a

Comment 6 Fedora Update System 2017-01-05 20:22:20 UTC
lensfun-0.3.2-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-01-09 01:21:11 UTC
lensfun-0.3.2-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.